#include <string>

class MinuxException
{
public:
	char*message;

	MinuxException() 
	{
		message="";
	}

	MinuxException(char*msg) : message(msg) {}
	
	MinuxException(std::string m)
	{
		using namespace std;
		message=new char[m.length()+1];
		m.copy(message,m.length());
		message[m.length()]=0;
	}
} ;

